DF(1)

NOM
df - Indiquer l'espace occupé par les systèmes de fichiers

SYNOPSIS
df [OPTION]... [FICHIER]...

DESCRIPTION
Cette page de manuel documente la version GNU du programme df. Le programme df indique l'espace disque utilisé et disponible sur le système de fichiers contenant chaque fichier donné en paramètre. Sans paramètre, l'espace disponible sur tous les systèmes de fichiers montés sera affiché. Les valeurs sont indiquées en unités de 1 K, à moins que la variable d'environnement POSIXLY_CORRECT ne soit positionnée, auquel cas la taille des blocs sera de 512 octets.

Si un paramètre est un nom complet de fichier d’un nœud de périphérique disque contenant un système de fichiers monté, df affiche l'espace disponible sur ce système de fichiers plutôt que sur celui contenant le nœud du périphérique. Cette version de df ne peut pas afficher l'espace disponible sur des systèmes de fichiers non montés, car pour la majorité des systèmes, cela nécessiterait une connaissance très pointue et non portable de la structure des systèmes de fichiers.

OPTIONS

Afficher les informations à propos du système de fichiers sur lequel réside chaque FICHIER ou, par défaut, de tous les systèmes de fichiers.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-a, --all
    inclure les pseudo systèmes de fichiers, ainsi que ceux en double et inaccessibles

-B, --block-size=TAILLE
    utiliser cette TAILLE de bloc pour l'affichage. Par exemple « -BM » affichera les volumes en unités de 1 048 576 octets. Consultez le format de TAILLE ci-dessous

-h, --human-readable
    afficher les tailles en puissances de 1024 (par exemple 1023M)

-H, --si
    afficher les tailles en puissances de 1000 (par exemple 1.1G)

-i, --inodes
    afficher les informations des inœuds plutôt que de l'utilisation des blocs

-k  identique à --block-size=1K

-l, --local
    limiter l'affichage aux systèmes de fichiers locaux

--no-sync
    ne pas effectuer de synchronisation avant d'obtenir les informations d'utilisation des disques (par défaut)

--output[=LISTE_CHAMPS]
    utiliser le format de sortie défini par LISTE_CHAMPS, ou afficher tous les champs si LISTE_CHAMPS est omis

-P, --portability
    utiliser le format de sortie POSIX

--sync
    demander une synchronisation avant d'obtenir les informations d'utilisation des disques

--total
    omettre toutes les entrées non signifiantes pour l'espace disponible et afficher un total global

-t, --type=TYPE
    limiter l'affichage aux systèmes de fichiers de TYPE

-T, --print-type
    afficher le type du système de fichiers

-x, --exclude-type=TYPE
    exclure de l'affichage les systèmes de fichiers de type différent de TYPE

-v  (ignoré)

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

Les valeurs affichées sont exprimées dans la première TAILLE de l'option --block-size ou les variables d'environnement DF_BLOCK_SIZE, BLOCK_SIZE ou BLOCKSIZE. Sinon, l'unité par défaut sera de 1024 octets (ou 512 octets si POSIXLY_CORRECT est défini).

L’argument TAILLE est un entier suivi d'une unité facultative (10k pour 10×1024 par exemple). Les unités sont K, M, G, T, P, E, Z et Y (puissances de 1024) ou KB, MB, etc. (puissances de 1000). Les préfixes binaires peuvent aussi être utilisées : KiB=K, MiB=M et ainsi de suite.

LISTE_CHAMPS est une liste de colonnes à inclure, séparées par des virgules. Les colonnes possibles sont « source », « fstype », « itotal », « iused », « iavail », « ipcent », « size », « used », « avail », « pcent », « file » et « target » (consultez la page info).

AUTEUR
Écrit par Torbjorn Granlund, David MacKenzie et Paul Eggert.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/df>
aussi disponible localement à l’aide de la commande : info '(coreutils) df invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Marc Chaton <chaton@debian.org>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.